Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/title/Bug_reporting_guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#11616 - smbclient-3.2.4-1 conflicts with tdb-1.0.6-3

Attached to Project: Arch Linux
Opened by Jan Spakula (bender02) - Sunday, 28 September 2008, 17:27 GMT
Last edited by Aaron Griffin (phrakture) - Saturday, 04 October 2008, 23:17 GMT
Task Type Bug Report
Category Packages: Extra
Status Closed
Assigned To Tobias Powalowski (tpowa)
Architecture x86_64
Severity Medium
Priority Normal
Reported Version None
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 1
Private No

Details

Description:
the new version of smbclient (3.2.4-1) in testing conflicts with tdb (1.0.6-3), both have /usr/lib/libtdb.so and /usr/lib/libtdb.so.1


Steps to reproduce:
Try to install both packages.
This task depends upon

Closed by  Aaron Griffin (phrakture)
Saturday, 04 October 2008, 23:17 GMT
Reason for closing:  Fixed
Additional comments about closing:  fixed with tdb-3.2.4-1, smbclient-3.2.4-3 and samba-3.2.4-3.
Comment by quantax (quantax) - Tuesday, 30 September 2008, 09:59 GMT
I can confirm this. Also testing/samba conflicts with extra/tdb:

> error: could not prepare transaction
> error: failed to commit transaction (conflicting files)
> smbclient: /usr/lib/libtdb.so exists in filesystem
> smbclient: /usr/lib/libtdb.so.1 exists in filesystem
> samba: /usr/include/tdb.h exists in filesystem
> Errors occurred, no packages were upgraded.
Comment by Sujith (sacamano_m82) - Friday, 03 October 2008, 16:46 GMT
I can confirm this too, get the same error.
And I need this to use fdm. :(
Comment by Tobias Powalowski (tpowa) - Friday, 03 October 2008, 16:48 GMT
please try the -2 packages which will sync soon to the mirrors
Comment by Sujith (sacamano_m82) - Friday, 03 October 2008, 17:41 GMT
Works now, thanks !
Comment by Jan Spakula (bender02) - Friday, 03 October 2008, 18:15 GMT
Fine here as well, thanks!
I didn't realize that samba team took over tdb. I should improve my googling skills ;)
Comment by quantax (quantax) - Friday, 03 October 2008, 20:08 GMT
smbclient seems to be fine now. However there are still issues between samba and tdb:

> error: could not prepare transaction
> error: failed to commit transaction (conflicting files)
> /usr/bin/tdbbackup exists in both 'tdb' and 'samba'
> /usr/include/tdb.h exists in both 'tdb' and 'samba'
> tdb: /usr/bin/tdbbackup exists in filesystem
> samba: /usr/include/tdb.h exists in filesystem
> Errors occurred, no packages were upgraded.
Comment by quantax (quantax) - Friday, 03 October 2008, 21:12 GMT
smbclient seems to be fine now. However there are still issues between samba and tdb:

> error: could not prepare transaction
> error: failed to commit transaction (conflicting files)
> /usr/bin/tdbbackup exists in both 'tdb' and 'samba'
> /usr/include/tdb.h exists in both 'tdb' and 'samba'
> tdb: /usr/bin/tdbbackup exists in filesystem
> samba: /usr/include/tdb.h exists in filesystem
> Errors occurred, no packages were upgraded.
Comment by Tobias Powalowski (tpowa) - Saturday, 04 October 2008, 08:18 GMT
ouch thanks
Comment by Tobias Powalowski (tpowa) - Saturday, 04 October 2008, 11:43 GMT
fixed in new -3 packages please confirm
Comment by quantax (quantax) - Saturday, 04 October 2008, 17:31 GMT
Now with tdb-3.2.4-1, smbclient-3.2.4-3 and samba-3.2.4-3 it is working without any conlficts. Thanks!

Loading...